Summary:	GNU shar utils - shar, unshar, uuencode, uudecode
Summary(de.UTF-8):	GNU-shar-Dienstprogramme - shar, unshar, uuencode, uudecode
Summary(es.UTF-8):	Utilitarios shar de la GNU - shar, unshar, uuencode, uudecode
Summary(fr.UTF-8):	Utilitaires shar de GNU - shar, unshar, uuencode, uudecode
Summary(pl.UTF-8):	Narzędzia z GNU shar - shar, unshar, uuencode, uudecode
Summary(pt_BR.UTF-8):	Utilitários shar da GNU - shar, unshar, uuencode, uudecode
Summary(ru.UTF-8):	Утилиты GNU shar для создания и распаковки shell-архивов
Summary(tr.UTF-8):	Arşivleme ve kabuk araçları
Summary(uk.UTF-8):	Утиліти GNU shar для створення та розпаковки shell-архівів
Name:		sharutils
Version:	4.14
Release:	1
License:	GPL v3+
Group:		Applications/File
Source0:	http://ftp.gnu.org/gnu/sharutils/%{name}-%{version}.tar.xz
# Source0-md5:	77ede22951bdb67279c6e78e79a04784
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	336f405f69324d129a6ccd3b66f8eb6c
Patch0:		%{name}-info.patch
Patch1:		%{name}-pl.po-update.patch
Patch2:		%{name}-format.patch
URL:		http://www.gnu.org/software/sharutils/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.13
BuildRequires:	gettext-devel >= 0.18.1
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The sharutils package contains the GNU shar utilities, a set of tools
for encoding and decoding packages of files (in binary or text format)
in a special plain text format called shell archives (shar). This
format can be sent through email (which can be problematic for regular
binary files). The shar utility supports a wide range of capabilities
(compressing, uuencoding, splitting long files for multi-part
mailings, providing checksums), which make it very flexible at
creating shar files. After the files have been sent, the unshar tool
scans mail messages looking for shar files. Unshar automatically
strips off mail headers and introductory text and then unpacks the
shar files.

%description -l de.UTF-8
Sie können die shar-Dienstprogramme zum Verschlüsseln und Packen einer
Reihe von Dateien (binär oder Text) in ein einfaches Textformat
verwenden Dieses Format kann sicher per E-Mail oder andere Verfahren
gesendet werden, bei denen das Senden von Binärdateien schwierig ist.

%description -l es.UTF-8
Los utilitarios shar pueden ser usados para codificar y empaquetar
varios archivos, binarios y/o texto, en un formato especial de texto
plano. Este formato puede ser seguramente mandado a través de mail o
otros medios donde mandar archivos binarios sea difícil.

%description -l fr.UTF-8
Les utilitaires shar servent à encoder et empaqueter un certain nombre
de fichiers, binaires et/ou texte, sous un format texte spécial. Ce
format peut être envoyé sans problème par courrier ou par d'autres
moyens où l'envoi de fichiers binaires est difficile.

%description -l pl.UTF-8
Narzędzia shar służą do przekształcania i dystrybucji wielu plików
binarnych i/lub tekstowych w jednym, tekstowym archiwum. Archiwum
można następnie wysyłać pocztą elektroniczną albo innymi metodami,
które uniemożliwiają lub znacznie utrudniają transmisję plików
binarnych.

%description -l pt_BR.UTF-8
Os utilitários shar podem ser usados para codificar e empacotar vários
arquivos, binários e/ou texto, em um formato especial de texto plano.
Este formato pode ser seguramente mandado através de mail ou outros
meios onde mandar arquivos binários é difícil.

%description -l ru.UTF-8
Утилиты shar могут быть использованы для кодирования и упаковки
нескольких файлов, бинарных и/или текстовых, в специальный файл чисто
текстового формата. Этот файл может быть послан e-mail'ом или другим
способом, где посылка бинарных файлов затруднена.

%description -l tr.UTF-8
shar araçları, derlemiş ya da metin biçimindeki dosyaları düz metin
biçiminde kodlamak için kullanılabilir. Bu biçimdeki dosya, posta ile
ya da derlenmiş dosyaların gönderilmesinin sorun çıkardığı diğer
programlar üzerinden güvenli bir şekilde gönderilebilir.

%description -l uk.UTF-8
Утиліти shar можуть бути використані для кодування та упаковки кількох
файлів, двійкових та/або текстових, в спеціальний файл чисто
текстового формату. Цей файл можна надсилати електронною поштою чи
іншим способом, при якому посилка двійкових файлів не підтримується.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1

%{__rm} po/stamp-po

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_mandir}/{pl/man5,ja/man{1,5}}
install man/ja/man1/* $RPM_BUILD_ROOT%{_mandir}/ja/man1
install man/ja/man5/* $RPM_BUILD_ROOT%{_mandir}/ja/man5
install man/pl/man5/* $RPM_BUILD_ROOT%{_mandir}/pl/man5

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/shar
%attr(755,root,root) %{_bindir}/unshar
%attr(755,root,root) %{_bindir}/uudecode
%attr(755,root,root) %{_bindir}/uuencode
%{_infodir}/sharutils.info*
%{_mandir}/man1/shar.1*
%{_mandir}/man1/unshar.1*
%{_mandir}/man1/uudecode.1*
%{_mandir}/man1/uuencode.1*
%{_mandir}/man5/uuencode.5*
%lang(ja) %{_mandir}/ja/man[15]/*
%lang(pl) %{_mandir}/pl/man[15]/*
%changelog
* Sun Oct 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sharutils.git;a=log;h=master

* Sun Oct 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 401f7b5
- updated to 4.14
- updated pl.po-update,format patches (the latter contains only workarounds now)

* Wed Apr 24 2013 Jakub Bogusz <qboosh@pld-linux.org> c70d58a
- added format patch (fixes build with -Werror=format-security)

* Sat Apr 20 2013 Jakub Bogusz <qboosh@pld-linux.org> e9b938f
- updated to 4.13.5

* Mon Apr 01 2013 Jakub Bogusz <qboosh@pld-linux.org> b15623a
- updated to 4.13.4
- updated pl.po-update patch
- removed outdated format-security patch

* Wed Jan 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 137ba87
- updated to 4.13.3
- updated pl.po-update patch

* Sat Jan 05 2013 Jakub Bogusz <qboosh@pld-linux.org> a11c2d3
- more format-security workarounds

* Sat Jan 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 620a42b
- updated to 4.13.2
- added pl.po-update patch (pl.po update from TP)

* Wed Jan 02 2013 Jakub Bogusz <qboosh@pld-linux.org> f65e8c8
- updated to 4.13.1
- updated info,format-security patches
- removed obsolete glibc2.16 patch

* Thu Dec 13 2012 Jan Rękorajski <baggins@pld-linux.org> c1c135f
- fix format string warnings

* Thu Dec 13 2012 Jan Rękorajski <baggins@pld-linux.org> 77335e6
- fix for undeclared gets
- rel 2

* Sat Apr 30 2011 Jakub Bogusz <qboosh@pld-linux.org> 2c2b204
- updated to 4.11.1
- removed obsolete pl.po-update patch

* Tue Feb 08 2011 Jakub Bogusz <qboosh@pld-linux.org> 87e9051
- updated to 4.11
- updated info patch
- added pl.po-update patch
- mail-files and mailshar are gone (considered FUBAR), so sh patch is obsolete (removed)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 182b98a
- dropped pre-cvs changelog

* Wed Sep 01 2010 Jakub Bogusz <qboosh@pld-linux.org> 6d5e4b7
- updated to 4.10
- added URL

* Thu Mar 04 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 206f8b4
- up to 4.9

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> 2adcb65
- unify ftp.gnu.org urls

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 02071e5
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Wed Dec 12 2007 Szymon Siwek <sls@pld-linux.org> bfda01f
- added gettext17.patch

* Wed Dec 12 2007 Szymon Siwek <sls@pld-linux.org> be6a5fa
- fix for gettext-0.17

* Sun Jul 01 2007 Jakub Bogusz <qboosh@pld-linux.org> 1179572
- updated to 4.7 (GPL v3 applies)

